1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.
  2. While the majority of active discourse on D20PRO has moved to our Discord Channels, this forum is still active and checked-in on regularly by our staff. However, for the very latest information, conversation and/or immediate support, please join us on Discord here: http://discord.gg/Ph38ckM
    Dismiss Notice

Cannot install 3.8.9.12 under MacOS Mojave 10.14.6

Discussion in 'Bug Reports & Installation Support' started by Gnorr, May 22, 2020.

  1. Gnorr

    Gnorr New Member

    Joined:
    May 1, 2011
    Messages:
    25
    Likes Received:
    0
    Hello,

    after my previous unresolved difficulties of getting d20Pro 3.8.9.1 past the jxBrowser errors back in March, I decided to try again with a more recent version, specifically 3.8.9.12 (3.8.9.13 does not have a Mac installer).

    However, after starting the installation (by an explicit right-click / Open combo, to get past MacOS 10.14.6 security), the installer window just shows ``An error occured during the installation. ... The installer encountered an error that caused the installation to fail ...''. No further codes or similar are displayed.

    This occurs regardless whether I try to install to the System /Applications, or below my home directory.

    Any recommendations?
     
  2. Wesley Gorby

    Wesley Gorby Production/Community Manager
    Staff Member

    Joined:
    Aug 1, 2011
    Messages:
    2,441
    Likes Received:
    140
    .13 should be up shortly for the other builds.
    However, I'll ask Owlbear to take a look at the .12 installer for Mac.
     
  3. Wesley Gorby

    Wesley Gorby Production/Community Manager
    Staff Member

    Joined:
    Aug 1, 2011
    Messages:
    2,441
    Likes Received:
    140
  4. Gnorr

    Gnorr New Member

    Joined:
    May 1, 2011
    Messages:
    25
    Likes Received:
    0
    OK, the installation worked. And D20Pro starts and allows me to create a new campaign. So progress :) I can open the campaign, and see the default content. But I cannot open a single map (nothing happens after clicking).

    I unfortunately still see the JxBrowser (null) message at the start:

    Code:
    [25 May 2020 15:54:24,417] INFO   D20                       | D20PRO version: 3.8.9.13
    [25 May 2020 15:54:24,418] INFO   D20                       | Java version: 1.8.0_251
    [25 May 2020 15:54:24,418] INFO   D20                       | Operating System: Mac OS X (10.14.6)
    [25 May 2020 15:54:47,575] ERROR  LivePanel_LaunchAbstract  | Failed to init JxBrowser: null
    The complete log file is attached.
     

    Attached Files:

    #4 Gnorr, May 25, 2020
    Last edited: May 25, 2020
  5. Wesley Gorby

    Wesley Gorby Production/Community Manager
    Staff Member

    Joined:
    Aug 1, 2011
    Messages:
    2,441
    Likes Received:
    140
  6. Gnorr

    Gnorr New Member

    Joined:
    May 1, 2011
    Messages:
    25
    Likes Received:
    0
    This did not help, unfortunately. As in my previous attempt), I still get the "JxBrowser: null" line on the console.

    D20Pro starts up. After opening the main window, it shows "Please wait ...". The UI is responsive, but no maps can be loaded (more exceptions are thrown, these are included in the attached full log).

    Start of the console output:

    Code:
    (base) Thorondor:data ahk$ ./d20Pro.sh
    ./
    java version "1.8.0_251"
    Java(TM) SE Runtime Environment (build 1.8.0_251-b08)
    Java HotSpot(TM) 64-Bit Server VM (build 25.251-b08, mixed mode)
    (base) Thorondor:data ahk$ [S_API FAIL] SteamAPI_Init() failed; ipcserver init failed .
    [S_API FAIL] SteamAPI_Init() failed
    [04 Jun 2020 21:51:53,111] INFO   D20                       | D20PRO version: 3.8.9.13
    [04 Jun 2020 21:51:53,112] INFO   D20                       | Java version: 1.8.0_251
    [04 Jun 2020 21:51:53,112] INFO   D20                       | Operating System: Mac OS X (10.14.6)
    [04 Jun 2020 21:52:23,941] ERROR  LivePanel_LaunchAbstract  | Failed to init JxBrowser: null
    Starting server at port 8090
    [04 Jun 2020 21:53:18,325] ERROR  BlockerControl            | Unexpected exception:
    java.lang.NullPointerException
        at com.mindgene.d20.common.live.LivePanel_LaunchAbstract$LaunchTask.logic(LivePanel_LaunchAbstract.java:868)
        at com.mindgene.d20.common.live.LivePanel_Abstract$AbstractPanelTask.work(LivePanel_Abstract.java:183)
        at com.mindgene.d20.laf.BlockerControl.run(BlockerControl.java:224)
        at java.lang.Thread.run(Thread.java:748)
        at com.mindgene.common.threading.SafeThread.safeRun(SafeThread.java:187)
        at com.mindgene.common.threading.SafeThread.run(SafeThread.java:195)
    
     

    Attached Files:

  7. Wesley Gorby

    Wesley Gorby Production/Community Manager
    Staff Member

    Joined:
    Aug 1, 2011
    Messages:
    2,441
    Likes Received:
    140
    Re: Owlbear
    looks like he's installed over an existing build... otherwise there'd be no STEAM init thing. that doesn't exist in the beta versions... steam libs and logging were removed a while back... just to prevent confusion till I'm ready to roll out to steam. So we want to validate that he's doing a fresh install -- which might mean renaming the existing d20pro directory.

    Did you do a fresh install when you installed it?

    Also, make sure you backup your /judge/campaigns/ folder somewhere prior.
     
    #7 Wesley Gorby, Jun 4, 2020
    Last edited: Jun 4, 2020
  8. Gnorr

    Gnorr New Member

    Joined:
    May 1, 2011
    Messages:
    25
    Likes Received:
    0
    As best as I can tell, yes. My directory looks like this

    Code:
    drwxr-xr-x@  6 ahk  staff  192 Jan 26  2016 D20PRO-Mac-3.5.7
    drwxr-xr-x   4 ahk  staff  128 May 25 15:55 D20Pro-Mac-3.8.9.13
    drwx------  11 ahk  staff  352 Jan  2  2018 D20Pro_Campaigns
    drwx------  11 ahk  staff  352 Jan  2  2018 D20Pro_Campaigns-pre-d20-3891
    where I have my old-but-working version 3.5.7 and the new 3.8.9.13 installed in separate subdirectories. D20Pro_Campaigns is my campaign folder, which I usually add to the D20 installation by setting up a symlink. But note that I have not done that at all for the 3.8.9.13, leaving it completely pristine. I wanted to avoid issues of 3.8.9.13 interacting with the old 3.5.7 campaign data.

    Done, that is D20Pro_Campaigns-pre-d20-3891
     

Share This Page